make_initial_affine(1)

NAME
make_initial_affine - Initialize affine transformation

SYNOPSIS
make_initial_affine ReferenceImage FloatingImage OutputXform

DESCRIPTION
Compute initial affine transformation by aligning centers of mass or principal axes

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--xml
    Write command line syntax specification in XML markup (for Slicer integration).

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Transformation construction control

--mode
    Mode selection for initialization Supported values: "direction-vectors", "centers-of-mass", "principal-axes", "identity", where the default is "direction-vectors", or use one of the following:

    --direction-vectors
        Alignment based on image direction vectors [This is the default]

    --centers-of-mass
        Alignment based on centers of mass (translation only)

    --principal-axes
        Alignment based on principal axes

    --identity
        Create only an identity transformation

--center-xform, -C
    Set transformation center (for rotation, scale) to center of reference image.

--native-space
    Write transformation between the native image spaces, rather than in CMTK standard RAS space. This is the default when running this tool as a Slicer plugin.

  Image/Transformation Database

--db <string>
    Path to image/transformation database that should be updated with the newly transformation from reference to floating image. [Default: NONE]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.